summaryrefslogtreecommitdiffstats
path: root/academic/link-grammar
diff options
context:
space:
mode:
author Michael Gabilondo2010-05-11 22:53:05 +0200
committer Robby Workman2010-05-11 22:53:05 +0200
commiteb725f41f121ca176627b932d821b6082913a337 (patch)
tree4937b64c0d309a1a9a5eb4c41e1649b1594a0ff2 /academic/link-grammar
parent1b64d7c12263ec220eabe44a9c3e9c06e5eddf71 (diff)
downloadslackbuilds-eb725f41f121ca176627b932d821b6082913a337.tar.gz
academic/link-grammar: Added to 12.1 repository
Diffstat (limited to 'academic/link-grammar')
-rw-r--r--academic/link-grammar/README8
-rw-r--r--academic/link-grammar/link-grammar.SlackBuild71
-rw-r--r--academic/link-grammar/link-grammar.info8
-rw-r--r--academic/link-grammar/slack-desc19
4 files changed, 106 insertions, 0 deletions
diff --git a/academic/link-grammar/README b/academic/link-grammar/README
new file mode 100644
index 0000000000..133d73ae15
--- /dev/null
+++ b/academic/link-grammar/README
@@ -0,0 +1,8 @@
+The Link Grammar Parser is a syntactic parser of English, based on link
+grammar, an original theory of English syntax. Given a sentence, the system
+assigns to it a syntactic structure, which consists of a set of labeled links
+connecting pairs of words. The parser also produces a "constituent" (Penn
+tree-bank style phrase tree) representation of a sentence (showing noun
+phrases, verb phrases, etc.).
+
+This SlackBuild requires apache-ant and JDK (from /extra).
diff --git a/academic/link-grammar/link-grammar.SlackBuild b/academic/link-grammar/link-grammar.SlackBuild
new file mode 100644
index 0000000000..c305e39997
--- /dev/null
+++ b/academic/link-grammar/link-grammar.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for link-grammar
+
+# Written by Michael Gabilondo <mgabilo{at}gmail{dot}com>
+# This work is in the public domain
+
+PRGNAM=link-grammar
+VERSION=${VERSION:-4.3.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/link-grammar/link-grammar.info b/academic/link-grammar/link-grammar.info
new file mode 100644
index 0000000000..fc465325be
--- /dev/null
+++ b/academic/link-grammar/link-grammar.info
@@ -0,0 +1,8 @@
+PRGNAM="link-grammar"
+VERSION="4.3.7"
+HOMEPAGE="http://www.abisource.org/projects/link-grammar/"
+DOWNLOAD="http://www.abisource.com/downloads/link-grammar/4.3.7/link-grammar-4.3.7.tar.gz"
+MD5SUM="6595a6c726a1e4388074f95ed04b7d10"
+MAINTAINER="Michael Gabilondo"
+EMAIL="mgabilo{at}gmail{dot}com"
+APPROVED="rworkman"
diff --git a/academic/link-grammar/slack-desc b/academic/link-grammar/slack-desc
new file mode 100644
index 0000000000..caa738406f
--- /dev/null
+++ b/academic/link-grammar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+link-grammar: Link Grammar Parser (syntactic parser of English)
+link-grammar:
+link-grammar: The Link Grammar Parser is a syntactic parser of English, based
+link-grammar: on link grammar, an original theory of English syntax. Given a
+link-grammar: sentence, the system assigns to it a syntactic structure, which
+link-grammar: consists of a set of labeled links connecting pairs of words.
+link-grammar: The parser also produces a "constituent" (Penn tree-bank style
+link-grammar: phrase tree) representation of a sentence (showing noun phrases,
+link-grammar: verb phrases, etcetera).
+link-grammar:
+link-grammar: Homepage: http://www.abisource.org/projects/link-grammar/